#
# spec file for package profiteur
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           profiteur
Version:        0.3.0.3
Release:        2.15
Summary:        Treemap visualiser for GHC prof files
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Treemap visualiser for GHC prof files.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%defattr(-,root,root,-)
%doc LICENSE
%doc CHANGELOG
%{_bindir}/%{name}
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/data
%dir %{_datadir}/%{name}-%{version}/data/css
%dir %{_datadir}/%{name}-%{version}/data/html
%dir %{_datadir}/%{name}-%{version}/data/js
%dir %{_datadir}/%{name}-%{version}/data/lib
%{_datadir}/%{name}-%{version}/data/css/main.css
%{_datadir}/%{name}-%{version}/data/html/body.html
%{_datadir}/%{name}-%{version}/data/js/details.js
%{_datadir}/%{name}-%{version}/data/js/main.js
%{_datadir}/%{name}-%{version}/data/js/model.js
%{_datadir}/%{name}-%{version}/data/js/node.js
%{_datadir}/%{name}-%{version}/data/js/resizing-canvas.js
%{_datadir}/%{name}-%{version}/data/js/selection.js
%{_datadir}/%{name}-%{version}/data/js/sorting.js
%{_datadir}/%{name}-%{version}/data/js/tree-browser.js
%{_datadir}/%{name}-%{version}/data/js/tree-map.js
%{_datadir}/%{name}-%{version}/data/js/unicode.js
%{_datadir}/%{name}-%{version}/data/js/zoom.js
%{_datadir}/%{name}-%{version}/data/lib/jquery-1.11.0.min.js

%changelog
* Sun Nov  6 2016 psimons@suse.com
- Update to version 0.3.0.3 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.3.0.2 revision 0 with cabal2obs.
